package channel;

public class TestChannel
{
	public static void main(String[] argv)
	{
		Osservato subj = new OsservatoImplMap();
		Osservatore obs = new OsservatoreImpl();
		subj.register(obs);

		Event<String> e = new Event<String>();
		e.setPayload(argv[0]);
		subj.update(e);

		Osservatore obs2 = new OsservatoreImpl();
		subj.register(obs2);

		int i = 0;
		for(i=0;i<argv.length-2;i++)
		{
			System.out.println("i = " + i + "; argv.length = " + argv.length);
			e.setPayload(argv[i]);
			subj.update(e);
		}

		subj.unregister(obs);
		e.setPayload(argv[i-2]);
		subj.update(e);

		subj.unregister(obs2);
		e.setPayload(argv[i-1]);
		subj.update(e);
	}
}
