package channel;

public class TestChannelTipato
{
	public static void main(String[] argv) throws Exception
	{
		OsservatoTipato subj = new OsservatoTipatoImplList();
		OsservatoreTipato oss1 = new OsservatoreImpl();
		OsservatoreTipato oss2 = new OsservatoreImpl();
		Event reg1, reg2;

		subj.update(new Event());

		reg1 = new EventType1();
		subj.register(oss1, reg1);
		System.out.println("Registrato oss1 con tipo EventType1");

		subj.update(new Event());

		Thread.sleep(1000);

		reg2 = new EventType2();
		subj.register(oss2, reg2);
		System.out.println("Registrato oss2 con tipo EventType2");

		int i = 0;
		for(i=0;i<argv.length;i++)
		{
			Event e = null;
			if(i%2 == 0)
			{
				e = new EventType2();
			}
			else
			{
				if(i%3 == 0)
				{
					e = new EventType12();
				}
				else
				{
					e = new EventType11();
				}
			}
			e.setPayload(argv[i]);

			subj.update(e);
			Thread.sleep(1000);
		}

		for(i=0;i<argv.length;i++)
		{
			Event e = new Event();
			e.setPayload(argv[i]);
			subj.update(e);
			System.out.println("***\n");
			Thread.sleep(1000);
		}

		System.out.println("Deregistro oss1");
		subj.unregister(oss1, reg1);
		//subj.register(oss1, new Event()); //prendo tutto, non e' quello che voglio
		subj.register(oss1, reg1);
		subj.register(oss1, reg2);

		for(i=0;i<argv.length;i++)
		{
			Event e = null;
			if(i%3 == 0)
			{
				e = new EventType2();
			}
			else if(i%3 == 1)
			{
				if(i%3 == 0)
				{
					e = new EventType12();
				}
				else
				{
					e = new EventType11();
				}
			}
			else if(i%3 == 2)
			{
				e = new EventType3();
			}
			e.setPayload(argv[i]);

			subj.update(e);
			System.out.println("***\n");
			Thread.sleep(1000);
		}
	}
}
