package mediateca;

import java.util.*;

public class ComparaMediaPerCategoria
implements Comparator<Media>
{
	/**
	* La comparazione per categoria tra due media e' possibile se e solo se
	*	nessuno dei due e uguale a null.
	*/
	public int compare(Media m1, Media m2)
	{
		return m1.categoria.compareTo(m2.categoria);
	}

	public boolean equals(Object o)
	{
		return (o instanceof ComparaMediaPerCategoria);
	}
}
