package mediateca;

import java.util.*;

public class ComparaMediaPerCategoriaETitolo
implements Comparator<Media>
{
	/**
	* La comparazione per categoria tra due media e' possibile se e solo se
	*	nessuno dei due e uguale a null.
	*/
	public int compare(Media m1, Media m2)
	{
		int retval = m1.categoria.compareTo(m2.categoria);
		if(retval == 0)
		{
			retval = m1.titolo.compareTo(m2.titolo);
		}
		return retval;
	}

	public boolean equals(Object o)
	{
		return (o instanceof ComparaMediaPerCategoriaETitolo);
	}
}
