package trees;

import java.util.*;

public class OperatorFactory
{
	Map<String, Operator> operators = new HashMap<String, Operator>();
	public Operator getOperator(String name)
	{
		Operator retval = null;
		retval = operators.get(name);
		if(retval != null)//trovato
		{
			return retval;
		}

		try
		{
			Class clazz = Class.forName(name);
			retval = (Operator)clazz.newInstance();
			operators.put(name, retval);
			return retval;
		}
		catch(IllegalAccessException iae)
		{
			iae.printStackTrace();
		}
		catch(InstantiationException ie)
		{
			ie.printStackTrace();
		}
		catch(ClassNotFoundException cnfe)
		{
			//cnfe.printStackTrace();
		}
		catch(ClassCastException cce)
		{
			//cce.printStackTrace();
		}
		return retval;//null, non ho trovato...
	}
}
