package trees;

import java.util.*;

public class EspressioneComeAlbero
{
	public static void main(String[] argv)
	{
		OperatorFactory of = new OperatorFactory();
		Stack<NodoBinario<Object>> stack = new Stack<NodoBinario<Object>>();
		int i = 0;
		for(i=0;i<argv.length;i++)
		{
			Operator o = of.getOperator(argv[i]);
			NodoBinario<Object> tmp = null;
			if(o == null)//non trovato come operatore => operando;
			{
				tmp = new NodoBinario<Object>(argv[i]);
				stack.push(tmp);
			}
			else
			{
				tmp = new NodoBinario<Object>(o);
				tmp.setRight(stack.pop());
				tmp.setLeft(stack.pop());
				stack.push(tmp);
			}
		}

		System.out.println("Stack ha dentro " + stack.size() + " nodi");
		NodoBinario<Object> tmp = stack.pop();
		System.out.println(tmp.toStringInOrder());
		System.out.println(tmp.evaluate());
	}
	
}
